SUSE: 2022:2669-1 important: qpdf | LinuxSecurity.com

   SUSE Security Update: Security update for qpdf
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2669-1
Rating:             important
References:         #1188514 #1201830 
Cross-References:   CVE-2021-36978 CVE-2022-34503
CVSS scores:
                    CVE-2021-36978 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2021-36978 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2022-34503 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2022-34503 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Server 12-SP2-BCL
                    SUSE Linux Enterprise Server 12-SP3-BCL
                    SUSE Linux Enterprise Server 12-SP4-LTSS
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP 12-SP4
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE OpenStack Cloud 9
                    SUSE OpenStack Cloud Crowbar 9
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for qpdf fixes the following issues:

   - CVE-2022-34503: Fixed a heap buffer overflow via the function
     QPDF::processXRefStream (bsc#1201830).
   - CVE-2021-36978: Fixed heap-based buffer overflow in
     Pl_ASCII85Decoder::write (bsc#1188514).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 9:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-2669=1

   - SUSE OpenStack Cloud 9:

      zypper in -t patch SUSE-OpenStack-Cloud-9-2022-2669=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-2669=1

   - SUSE Linux Enterprise Server for SAP 12-SP4:

      zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-2669=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-2669=1

   - SUSE Linux Enterprise Server 12-SP4-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-2669=1

   - SUSE Linux Enterprise Server 12-SP3-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-2669=1

   - SUSE Linux Enterprise Server 12-SP2-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-2669=1



Package List:

   - SUSE OpenStack Cloud Crowbar 9 (x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE OpenStack Cloud 9 (x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1
      qpdf-devel-7.1.1-3.8.1

   - SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

      libqpdf18-7.1.1-3.8.1
      libqpdf18-debuginfo-7.1.1-3.8.1
      qpdf-7.1.1-3.8.1
      qpdf-debuginfo-7.1.1-3.8.1
      qpdf-debugsource-7.1.1-3.8.1


References:

   https://www.suse.com/security/cve/CVE-2021-36978.html
   https://www.suse.com/security/cve/CVE-2022-34503.html
   https://bugzilla.suse.com/1188514
   https://bugzilla.suse.com/1201830

SUSE: 2022:2669-1 important: qpdf

August 4, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for qpdf fixes the following issues: - CVE-2022-34503: Fixed a heap buffer overflow via the function QPDF::processXRefStream (bsc#1201830). - CVE-2021-36978: Fixed heap-based buffer overflow in Pl_ASCII85Decoder::write (bsc#1188514). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE OpenStack Cloud Crowbar 9: zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-2669=1 - SUSE OpenStack Cloud 9: zypper in -t patch SUSE-OpenStack-Cloud-9-2022-2669=1 - SUSE Linux Enterprise Software Development Kit 12-SP5: zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-2669=1 - SUSE Linux Enterprise Server for SAP 12-SP4: zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-2669=1 - SUSE Linux Enterprise Server 12-SP5: zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-2669=1 - SUSE Linux Enterprise Server 12-SP4-LTSS: zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-2669=1 - SUSE Linux Enterprise Server 12-SP3-BCL: zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-2669=1 - SUSE Linux Enterprise Server 12-SP2-BCL: zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-2669=1 Package List: - SUSE OpenStack Cloud Crowbar 9 (x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE OpenStack Cloud 9 (x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64): qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 qpdf-devel-7.1.1-3.8.1 - SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1 - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64): libqpdf18-7.1.1-3.8.1 libqpdf18-debuginfo-7.1.1-3.8.1 qpdf-7.1.1-3.8.1 qpdf-debuginfo-7.1.1-3.8.1 qpdf-debugsource-7.1.1-3.8.1

References

#1188514 #1201830

Cross- CVE-2021-36978 CVE-2022-34503

CVSS scores:

CVE-2021-36978 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2021-36978 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2022-34503 (NVD) : 6.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2022-34503 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Server 12-SP2-BCL

SUSE Linux Enterprise Server 12-SP3-BCL

SUSE Linux Enterprise Server 12-SP4-LTSS

SUSE Linux Enterprise Server 12-SP5

SUSE Linux Enterprise Server for SAP 12-SP4

SUSE Linux Enterprise Server for SAP Applications 12-SP5

SUSE Linux Enterprise Software Development Kit 12-SP5

SUSE OpenStack Cloud 9

SUSE OpenStack Cloud Crowbar 9

https://www.suse.com/security/cve/CVE-2021-36978.html

https://www.suse.com/security/cve/CVE-2022-34503.html

https://bugzilla.suse.com/1188514

https://bugzilla.suse.com/1201830

Severity
Announcement ID: SUSE-SU-2022:2669-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.